# Class TilingParameter

java.lang.Object
uk.ac.starlink.task.Parameter<SkyTiling>
uk.ac.starlink.ttools.cone.TilingParameter

public class TilingParameter extends uk.ac.starlink.task.Parameter<SkyTiling>
Parameter for specifying SkyTiling values.

Since:
  13 Dec 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`TilingParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setHealpixNestDefault(int k)`
Sets the default value of this parameter to a HEALPix NEST instance of a given order.
`SkyTiling`
`stringToObject(uk.ac.starlink.task.Environment env, String svalue)`
`SkyTiling`
`tilingValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a SkyTiling object.

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TilingParameter

public TilingParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public SkyTiling stringToObject(uk.ac.starlink.task.Environment env, String svalue) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<SkyTiling>`
Throws:
  `uk.ac.starlink.task.TaskException`

### tilingValue

public SkyTiling tilingValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a SkyTiling object.

Parameters:
  `env` - execution environment
Returns:
  tiling value
Throws:
  `uk.ac.starlink.task.TaskException`

### setHealpixNestDefault

public void setHealpixNestDefault(int k)
Sets the default value of this parameter to a HEALPix NEST instance of a given order.

Parameters:
  `k` - healpix order, or -1 for no default